6.0.0-git
2021-01-18

[#9757] Nokia N900 ActiveSync sends no User parameter
Summary Nokia N900 ActiveSync sends no User parameter
Queue Synchronization
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester yves.bilgeri (at) bbw (dot) ch
Created 2011-03-31 (3581 days ago)
Due
Updated 2011-04-01 (3580 days ago)
Assigned 2011-03-31 (3581 days ago)
Resolved 2011-04-01 (3580 days ago)
Milestone
Patch No

History
2011-04-01 21:56:59 Michael Rubinsky Comment #5 Reply to this comment
Thanks, syncing works now with the N900, but just for contacts. For 
calendar syncing I'll get some logs and trace files of what the N900 
implementation does and will make another bug report for that.
Sounds good. If possible, set horde to use a dedicated log for 
activesync (see the configuration), and attach the log to the ticket. 
A wireshark session would be useful as well.
2011-04-01 21:26:58 yves (dot) bilgeri (at) bbw (dot) ch Comment #4 Reply to this comment
Thanks, syncing works now with the N900, but just for contacts. For 
calendar syncing I'll get some logs and trace files of what the N900 
implementation does and will make another bug report for that.
2011-04-01 15:48:59 Michael Rubinsky Comment #3
Assigned to Michael J Rubinsky <mrubinsk@horde.org>
State ⇒ Resolved
Reply to this comment
What's the point of standards documents if clients don't follow them?

Anyway, if that is indeed the only only issue preventing the N900 from 
synching, then this should fix it.
2011-04-01 15:47:50 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

* [mjr] Fix for broken Nokia MfE clients (Bug #9757).

  3 files changed, 30 insertions(+), 10 deletions(-)
http://git.horde.org/horde-git/-/commit/98f3793fbde1aa9b5c5d4cce89b70a390a64bf77
2011-03-31 14:48:40 Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
2011-03-31 14:35:59 Jan Schneider State ⇒ Assigned
 
2011-03-31 12:20:39 yves (dot) bilgeri (at) bbw (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Nokia N900 ActiveSync sends no User parameter
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
Nokia's N900 [0] with the latest Maemo 1.3 release fails to sync with 
the Horde ActiveSync implementation. The N900 doesn't send the "User" 
parameter in the request URL which is a required parameter in Horde 
ActiveSync. The open-xchange team had the same bug report with their 
implementation [1].

Before I also used the N900 with Z-Push 1.5.1 and the IMAP-Backend and 
there it worked with syncing mails.

Pleas tell me, if I can provide you more information to solve the problem.

horde.log:
2011-03-30T23:01:28+02:00 NOTICE: HORDE [imp] Login success for 
test.user@example.net (Horde user test.user@example.net
[194.230.155.27] to {localhost:143 [imap]} [pid 24682 on line 199 of 
"/var/www/horde4/imp/lib/Auth.php"]
2011-03-30T23:01:29+02:00 ERR: HORDE [horde] Missing required 
parameters. [pid 24682 on line 56 of 
"/var/www/horde4/pear/php/Horde/Rpc/ActiveSync.php"]
2011-03-30T23:01:29+02:00 EMERG: HORDE [horde] Your device requested 
the ActiveSync URL wihtout required parameters. [pid 24682 on line 58 
of "/var/www/horde4/pear/php/Horde/Rpc/ActiveSync.php"]

access.log
194.230.155.27 - test.user@example.net [30/Mar/2011:23:01:28 +0200] 
"OPTIONS /Microsoft-Server-ActiveSync HTTP/1.1" 200 - "-" "N900/1.1"
194.230.155.27 - test.user@example.net [30/Mar/2011:23:01:29 +0200] 
"POST 
/Microsoft-Server-ActiveSync?Cmd=FolderSync&DeviceId=356938031943765&DeviceType=SmartPhone HTTP/1.1" 200 282 "-" 
"N900/1.1"
194.230.155.27 - test.user@example.net [30/Mar/2011:23:01:32 +0200] 
"POST 
/Microsoft-Server-ActiveSync?Cmd=FolderSync&DeviceId=356938031943765&DeviceType=SmartPhone HTTP/1.1" 200 282 "-" 
"N900/1.1"

Quote from open-xchange forum:
"we fixed the reported issue with 6.16 which will be released very 
soon. The problem was, that the N900 client does not send any 
authentication data as a request parameter but only as auth-basic 
information. This is not usual for ActiveSync clients. In order to 
maintain compatibility, we've changed the handling to support such 
kinds of authentication."

[0] http://wiki.maemo.org/Mail_For_Exchange_%28MfE%29_Heartbeat_and_FAQ
[1] http://forum.open-xchange.com/archive/index.php/t-4285.html

Saved Queries